Subject: Re: printk problems

From: Arrigo Benedetti <[email-masked]>
Date: Wed, 03 Nov 2004 17:50:20 -0800

Benjamin Herrenschmidt wrote:

>On Wed, 2004-11-03 at 12:13 -0800, Arrigo Benedetti wrote:
>  
>
>>For some reason I can't get printk() to work on a YDL 4.0 system. I have 
>>followed all the instructions, like
>>setting the correct log level in /proc/sys/kernel/printk, killing klogd 
>>and then
>>
>>cat /proc/kmsg
>>
>>but I do not see any message from printk. The printk is in a new kernel 
>>system call that I wrote.
>>Any ideas?
>>    
>>
>
>Are you sure you are reaching your syscall at all ? Besides, why are you
>adding a syscall in the first place ? (just curious ... it's usually the
>wrong solution :)
>
>  
>

I'm pretty sure that the syscall is called, in fact at some point there 
was a bug in the code which
froze the system... I made a syscall just to do some quick timing tests. 
I agree that a module is a
better solution, and in fact I have just posted a message about that...

-Arrigo